> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Determine if the auto-save buffer differs from the live Page

> Returns a dictionary indicating if the buffer is different from the live object.

> **Scope requirements**


## OpenAPI

````yaml specs/legacy/v2/pages-v2.json GET /content/api/v2/pages/{page_id}/has-buffered-changes
openapi: 3.0.1
info:
  title: Pages API
  description: Use the pages API to create and manage website pages in HubSpot CMS.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Pages
paths:
  /content/api/v2/pages/{page_id}/has-buffered-changes:
    get:
      tags:
        - Pages
      summary: Determine if the auto-save buffer differs from the live Page
      description: >-
        Returns a dictionary indicating if the buffer is different from the live
        object.
      operationId: checkPageBufferChanges
      parameters:
        - name: page_id
          in: path
          description: The unique identifier for the page
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  has_buffered_changes:
                    type: boolean
              examples:
                has_buffered_changes:
                  summary: Buffer change status
                  value:
                    has_changes: true

````